View Issue Details

IDProjectCategoryView StatusLast Update
0023200LazarusTAChartpublic2012-11-19 19:47
ReporterOsvaldo Assigned ToLuiz Americo  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.2 
Summary0023200: Lazarus crashes
DescriptionWhen you open the project (demo) navigate, Lazarus crashes
TagsNo tags attached.
Fixed in Revision39308
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

Alexander S. Klenin

2012-10-24 12:01

developer   ~0063410

I am on Windows, so can not reproduce.
Please post stack trace.

Mattias Gaertner

2012-10-24 12:29

manager   ~0063413

What do you mean with "the project (demo) navigate".
One of the demo projects?
Your own project?

Osvaldo

2012-10-24 12:34

reporter   ~0063415

Last edited: 2012-10-24 12:45

Lazarus 1.0.3 r39158M FPC 2.6.1 i386-linux-gtk 2
----------

@Mattias

One of the demo projects.
lazarus/components/tachart/demo/navigate

@Alexander
The Lazarus freezes.
When opening the project, Lazarus does not respond.
----

Osvaldo

2012-10-24 20:49

reporter   ~0063425

There is only one way out of Lazarus, clicking the mouse on the "X" form of the demo project, there opens a window that says the caption: read error.

------
sorry, my English is bad

Alexander S. Klenin

2012-10-24 22:20

developer   ~0063427

I did reproduce some crash -- hopefully the same one. Stack trace below

#0 fpc_raiseexception at :0
0000001 SETPARAMS(0x1d7d48, 0, 0, 100, 100) at include\scrollbar.inc:137
0000002 SETPOSITION(0x1d7d48, 0) at include\scrollbar.inc:161
0000003 CHARTEXTENTCHANGED(0x1d7d48, 0x1d7178) at ..\..\tanavigation.pas:173
0000004 NOTIFY(0x1b42f8, 0x1d7178) at ..\..\tachartutils.pas:747
0000005 BROADCAST(0x1b3378, 0x1d7178) at ..\..\tachartutils.pas:758
0000006 DRAW(0x1d7178, 0x1c92e8, {LEFT = 0, TOP = 0, RIGHT = 463, BOTTOM = 250, TOPLEFT = {X = 0, Y = 0}, BOTTOMRIGHT = {X = 463, Y = 250}}) at ..\..\tagraph.pas:802

Osvald: can you confirm that adding "exit" to line
134 of scrollbar.inc (in procedure TCustomScrollBar.SetParams) and rebuilding Lazarus prevents the crash?

Osvaldo

2012-10-25 09:07

reporter   ~0063436

Yes, prevents the crash.

I opened the project, compiled, see the result:

http://imagebin.org/233204

Alexander S. Klenin

2012-10-25 11:28

developer   ~0063438

Ok, so the crash happens while setting ScrollBar.Position := 0
from inside of Paint handler.

This is probably a bug in Gtk widgetset and I do not see a method
for working around it inside TAChart.

Issue History

Date Modified Username Field Change
2012-10-24 09:56 Osvaldo New Issue
2012-10-24 09:56 Osvaldo Widgetset => GTK 2
2012-10-24 12:01 Alexander S. Klenin Note Added: 0063410
2012-10-24 12:29 Mattias Gaertner Note Added: 0063413
2012-10-24 12:34 Osvaldo Note Added: 0063415
2012-10-24 12:38 Osvaldo Note Edited: 0063415
2012-10-24 12:45 Osvaldo Note Edited: 0063415
2012-10-24 20:49 Osvaldo Note Added: 0063425
2012-10-24 22:20 Alexander S. Klenin Note Added: 0063427
2012-10-25 09:07 Osvaldo Note Added: 0063436
2012-10-25 11:28 Alexander S. Klenin Note Added: 0063438
2012-11-19 19:46 Luiz Americo Status new => assigned
2012-11-19 19:46 Luiz Americo Assigned To => Luiz Americo
2012-11-19 19:46 Luiz Americo Fixed in Revision => 39308
2012-11-19 19:46 Luiz Americo LazTarget => -
2012-11-19 19:46 Luiz Americo Status assigned => resolved
2012-11-19 19:46 Luiz Americo Resolution open => fixed